wxWidgets: interface/wx/geometry.h File Reference

| Version: 3.2.6

Classes | Enumerations | Functions
geometry.h File Reference

## Classes
class | wxPoint2DInt
class | wxPoint2DDouble
class | wxRect2DDouble
class | wxRect2DInt
class | wxTransform2D

## Enumerations
enum | wxOutCode { wxInside = 0x00 , wxOutLeft = 0x01 , wxOutRight = 0x02 , wxOutTop = 0x08 , wxOutBottom = 0x04 }

## Functions
wxPoint2DInt | operator+ (const wxPoint2DInt &pt1, const wxPoint2DInt &pt2)
wxPoint2DInt | operator- (const wxPoint2DInt &pt1, const wxPoint2DInt &pt2)
wxPoint2DInt | operator* (const wxPoint2DInt &pt1, const wxPoint2DInt &pt2)
wxPoint2DInt | operator* (wxInt32 n, const wxPoint2DInt &pt)
wxPoint2DInt | operator* (const wxPoint2DInt &pt, wxInt32 n)
wxPoint2DInt | operator/ (const wxPoint2DInt &pt1, const wxPoint2DInt &pt2)
wxPoint2DInt | operator/ (const wxPoint2DInt &pt, wxInt32 n)
wxPoint2DDouble | operator+ (const wxPoint2DDouble &pt1, const wxPoint2DDouble &pt2)
wxPoint2DDouble | operator- (const wxPoint2DDouble &pt1, const wxPoint2DDouble &pt2)
wxPoint2DDouble | operator* (const wxPoint2DDouble &pt1, const wxPoint2DDouble &pt2)
wxPoint2DDouble | operator* (wxDouble n, const wxPoint2DDouble &pt)
wxPoint2DDouble | operator* (wxInt32 n, const wxPoint2DDouble &pt)
wxPoint2DDouble | operator* (const wxPoint2DDouble &pt, wxDouble n)
wxPoint2DDouble | operator* (const wxPoint2DDouble &pt, wxInt32 n)
wxPoint2DDouble | operator/ (const wxPoint2DDouble &pt1, const wxPoint2DDouble &pt2)
wxPoint2DDouble | operator/ (const wxPoint2DDouble &pt, wxDouble n)
wxPoint2DDouble | operator/ (const wxPoint2DDouble &pt, wxInt32 n)

## Enumeration Type Documentation

## ◆ wxOutCode

enum wxOutCode

Enumerator
wxInside |
wxOutLeft |
wxOutRight |
wxOutTop |
wxOutBottom |

## Function Documentation

## ◆ operator*() [1/8]

wxPoint2DDouble operator* | ( | const wxPoint2DDouble & | pt,
|  | wxDouble | n
| ) |  |

## ◆ operator*() [2/8]

wxPoint2DDouble operator* | ( | const wxPoint2DDouble & | pt,
|  | wxInt32 | n
| ) |  |

## ◆ operator*() [3/8]

wxPoint2DDouble operator* | ( | const wxPoint2DDouble & | pt1,
|  | const wxPoint2DDouble & | pt2
| ) |  |

## ◆ operator*() [4/8]

wxPoint2DInt operator* | ( | const wxPoint2DInt & | pt,
|  | wxInt32 | n
| ) |  |

## ◆ operator*() [5/8]

wxPoint2DInt operator* | ( | const wxPoint2DInt & | pt1,
|  | const wxPoint2DInt & | pt2
| ) |  |

## ◆ operator*() [6/8]

wxPoint2DDouble operator* | ( | wxDouble | n,
|  | const wxPoint2DDouble & | pt
| ) |  |

## ◆ operator*() [7/8]

wxPoint2DDouble operator* | ( | wxInt32 | n,
|  | const wxPoint2DDouble & | pt
| ) |  |

## ◆ operator*() [8/8]

wxPoint2DInt operator* | ( | wxInt32 | n,
|  | const wxPoint2DInt & | pt
| ) |  |

## ◆ operator+() [1/2]

wxPoint2DDouble operator+ | ( | const wxPoint2DDouble & | pt1,
|  | const wxPoint2DDouble & | pt2
| ) |  |

## ◆ operator+() [2/2]

wxPoint2DInt operator+ | ( | const wxPoint2DInt & | pt1,
|  | const wxPoint2DInt & | pt2
| ) |  |

## ◆ operator-() [1/2]

wxPoint2DDouble operator- | ( | const wxPoint2DDouble & | pt1,
|  | const wxPoint2DDouble & | pt2
| ) |  |

## ◆ operator-() [2/2]

wxPoint2DInt operator- | ( | const wxPoint2DInt & | pt1,
|  | const wxPoint2DInt & | pt2
| ) |  |

## ◆ operator/() [1/5]

wxPoint2DDouble operator/ | ( | const wxPoint2DDouble & | pt,
|  | wxDouble | n
| ) |  |

## ◆ operator/() [2/5]

wxPoint2DDouble operator/ | ( | const wxPoint2DDouble & | pt,
|  | wxInt32 | n
| ) |  |

## ◆ operator/() [3/5]

wxPoint2DDouble operator/ | ( | const wxPoint2DDouble & | pt1,
|  | const wxPoint2DDouble & | pt2
| ) |  |

## ◆ operator/() [4/5]

wxPoint2DInt operator/ | ( | const wxPoint2DInt & | pt,
|  | wxInt32 | n
| ) |  |

## ◆ operator/() [5/5]

wxPoint2DInt operator/ | ( | const wxPoint2DInt & | pt1,
|  | const wxPoint2DInt & | pt2
| ) |  |